## ESimpleAsyncResult ESimpleAsyncResult |

## Functions

ESimpleAsyncResult * | e_simple_async_result_new ()
void | e_simple_async_result_set_user_data ()
gpointer | e_simple_async_result_get_user_data ()
gpointer | e_simple_async_result_steal_user_data ()
void | e_simple_async_result_set_op_pointer ()
gpointer | e_simple_async_result_get_op_pointer ()
void | e_simple_async_result_complete ()

## Types and Values

struct | ESimpleAsyncResult

## Object Hierarchy

        GObject
        ╰── ESimpleAsyncResult

## Implemented Interfaces

ESimpleAsyncResult implements GAsyncResult.

## Description

## Functions

### e_simple_async_result_new ()

    ESimpleAsyncResult *
    e_simple_async_result_new (GObject *source_object,
                               GAsyncReadyCallback callback,
                               gpointer user_data,
                               gpointer source_tag);

### e_simple_async_result_set_user_data ()

    void
    e_simple_async_result_set_user_data (ESimpleAsyncResult *result,
                                         gpointer user_data,
                                         GDestroyNotify destroy_user_data);

### e_simple_async_result_get_user_data ()

    gpointer
    e_simple_async_result_get_user_data (ESimpleAsyncResult *result);

### e_simple_async_result_steal_user_data ()

    gpointer
    e_simple_async_result_steal_user_data (ESimpleAsyncResult *result);

### e_simple_async_result_set_op_pointer ()

    void
    e_simple_async_result_set_op_pointer (ESimpleAsyncResult *result,
                                          gpointer ptr);

### e_simple_async_result_get_op_pointer ()

    gpointer
    e_simple_async_result_get_op_pointer (ESimpleAsyncResult *result);

### e_simple_async_result_complete ()

    void
    e_simple_async_result_complete (ESimpleAsyncResult *result);

## Types and Values

### struct ESimpleAsyncResult

    struct ESimpleAsyncResult;

Contains only private data that should be read and manipulated using the functions below.